# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY

%define aurox_ver 9.3
%define rel 1

%define mozilla_epoch 37
%define mozilla_ver 1.6

# force mozilla to be trated as:
#define mozilla_snapshot 1.6b

# galeon version suffix:
%define subver a

#define mysuffix fixed

Summary:   GNOME2 Web browser based on Mozilla
Name:      galeon
Version:   1.3.14
Release:   %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group:     Applications/Internet
Source:    %{name}-%{version}%{?subver}%{?mysuffix:-%{mysuffix}}.tar.bz2
URL:       http://galeon.sourceforge.net
Requires:  mozilla = %{mozilla_epoch}:%{mozilla_ver}
BuildRequires: mozilla-devel = %{mozilla_epoch}:%{mozilla_ver}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Galeon is a web browser built around Gecko (Mozilla 's rendering engine) 
and Necko (Mozilla's networking engine). It's a GNOME web browser, 
designed to take advantage of as many GNOME technologies as makes sense. 
Galeon was written to do just one thing - browse the web.

%prep
#setup -q -n %{name}-%{version}%{?subver}
%setup -q -n %{name}-%{version}

%build
NAUTILUS_VIEW_OPTION="--enable-nautilus-view=no"
echo Warning: The nautilius view will not be built.

%configure $NAUTILUS_VIEW_OPTION --disable-werror --disable-schemas-install
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang galeon-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f galeon-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs
%{_bindir}/*
%{_libdir}/galeon/components
%config %{_sysconfdir}/gconf/schemas/*
%config %{_sysconfdir}/sound/events/*
%{_datadir}/applications/*
%{_datadir}/galeon
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon
%{_datadir}/gnome-2.0/ui/*
%{_mandir}/man1/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/*

%post
%{_bindir}/galeon-config-tool --fix-gconf-permissions
%{_bindir}/galeon-config-tool --pkg-install-schemas
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%changelog
* Fri Apr 02 2004 Aurox Team <aurox@aurox.org> 0:1.3.14-9.3.aur.1
- this release has no suffix in dir name
- new bugfix release

* Tue Dec 16 2003 Robert Glowczynski <robertg@software.com.pl> 1.3.10-9.2.aur.1
- upgrade to 1.3.10
- rebuild with mozilla 1.5

* Tue Jul 29 2003 Robert Glowczynski <robertg@software.com.pl> 1.3.7-9.1.aur.1
- upgrade to 1.3.7
